Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class BigIntegerCachedClass

- org.codehaus.groovy.reflection.stdclasses.BigIntegerCachedClass

-     public class BigIntegerCachedClass
      extends NumberCachedClass

  Provides optimized reflection caching for BigInteger. Coerces integral and big numeric types to BigInteger for type-safe method invocation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BigIntegerCachedClass(Class klazz, ClassInfo classInfo)` Constructs a cached class representation for BigInteger.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isAssignableFrom(Class classToTransformFrom)` Determines if the given class can be transformed to BigInteger.
    `` | `public boolean` | `isDirectlyAssignable(Object argument)` Checks if the given argument is directly assignable to BigInteger.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberCachedClass` | `coerceArgument, isAssignableFrom`
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

- - ### Constructor Detail

    - #### public BigIntegerCachedClass(Class klazz, ClassInfo classInfo)

      Constructs a cached class representation for BigInteger.

      Parameters:
        `klazz` - the BigInteger class to cache
        `classInfo` - the class information associated with this cached class

  - ### Method Detail

    - #### public boolean isAssignableFrom(Class classToTransformFrom)

      Determines if the given class can be transformed to BigInteger. Accepts integral types, boxed integral types, and other big numeric types.

      Parameters:
        `classToTransformFrom` - the source class to check
      Returns:
        `true` if the class can be transformed to BigInteger, `false` otherwise

    - #### public boolean isDirectlyAssignable(Object argument)

      Checks if the given argument is directly assignable to BigInteger.

      Parameters:
        `argument` - the argument to check
      Returns:
        `true` if the argument is an instance of BigInteger, `false` otherwise